# module MathML::String

### Public Class Methods

mathml_latex_parser() click to toggle source

    # File lib/math_ml/string.rb, line 14
    def self.mathml_latex_parser
            @@mathml_latex_parser = MathML::LaTeX::Parser.new unless @@mathml_latex_parser
            @@mathml_latex_parser
    end

mathml_latex_parser=(mlp) click to toggle source

    # File lib/math_ml/string.rb, line 19
    def self.mathml_latex_parser=(mlp)
            raise TypeError unless mlp.is_a?(MathML::LaTeX::Parser) || mlp==nil
            @@mathml_latex_parser = mlp
    end

### Public Instance Methods

to_mathml(displaystyle=false) click to toggle source

    # File lib/math_ml/string.rb, line 24
    def to_mathml(displaystyle=false)
            MathML::String.mathml_latex_parser.parse(self, displaystyle)
    end